Skip to main content
Back to API List

Get all Contacts of a Contact List API

Use this API to fetch all contacts from a contact list.
MethodGET
Endpointhttps:///agentassist/api/v1/public//campaign/contactList//getAllContacts?accountId=
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeCampaign Management

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
streamIdThe Application ID.string, required
contactListIdUnique identifier of the contact list to fetch the contacts.string, required

Sample Request

curl --location 'https://{{host}}/agentassist/api/v1/public/{{streamId}}/campaign/contactList/{{contactListId}}/getAllContacts?accountId={{accountId}}' \
--header 'auth: <token>'

Headers

HeaderDescriptionRequired/Optional
authJWT token for authentication.required
iidThe Application Id.required
accountIdThe Account Id.required

Sample Response

{
    "status": "success",
    "message": "Contacts retrieved successfully",
    "data": {
        "results": [
            {
                "_id": "cc-6eb48e4b-45a5-5f87-8717-9687a84xxxxx",
                "createdAt": "2025-12-09T04:32:01.247Z",
                "updatedAt": "2025-12-09T04:32:01.247Z",
                "phoneNumber": "91223334xxxxx"
            },
            {
                "_id": "cc-02d41634-d46f-5757-befb-52f7090xxxxx",
                "createdAt": "2025-12-09T04:32:01.247Z",
                "updatedAt": "2025-12-09T04:32:01.247Z",
                "phoneNumber": "91223334xxxxx"
            },
            {
                "_id": "cc-31521027-4c64-52a1-a914-d092a4cxxxxx",
                "createdAt": "2025-12-09T04:32:01.247Z",
                "updatedAt": "2025-12-09T04:32:01.247Z",
                "phoneNumber": "91223334xxxxx"
            },
            {
                "_id": "cc-1c77a6a2-32bd-5cb3-a685-d5f3ea9xxxxx",
                "createdAt": "2025-12-09T04:32:35.321Z",
                "updatedAt": "2025-12-09T04:32:35.321Z",
                "phoneNumber": "91223334xxxxx"
            },
            {
                "_id": "cc-91ef4f71-9f63-572c-8166-b8b7f76xxxx",
                "createdAt": "2025-12-09T04:32:35.321Z",
                "updatedAt": "2025-12-09T04:32:35.321Z",
                "phoneNumber": "91223334xxxxx"
            },
            {
                "_id": "cc-2ab0bcae-e011-5da3-a24f-6b07c7cxxxxx",
                "createdAt": "2025-12-09T04:32:35.321Z",
                "updatedAt": "2025-12-09T04:32:35.321Z",
                "phoneNumber": "91223334xxxxx"
            }
        ],
        "skip": 0,
        "limit": 50,
        "hasMore": false,
        "totalPages": 1,
        "totalResults": 6
    }
}

Response Parameters

ParameterDescriptionType
statusIndicates whether the API call was successful.string
messageOptional message describing the result of the operationstring
dataObject that holds the paginated contact list results.Object
data.resultsContains retrieved contacts in a contact listArray of objects
data.results._idUnique identifier of the contact.string
data.results.createdAtTimestamp indicating when the contact was created (ISO-8601 format).string
data.results.updatedAtTimestamp indicating when the contact was last updated (ISO-8601 format).string
data.results.phoneNumberContact phone number.string
skipNumber of records skipped for pagination.Integer
limitMaximum number of records returned in the current response.Integer
hasMoreIndicates whether additional pages of data are available.boolean
totalPagesTotal number of pages available.Integer
totalResultsThe total number of contacts retrieved.Integer